Subject: bug#37850: Glib documentation is missing

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Tue, 12 Nov 2019 13:32:33 +0100

On Mon, Nov 11, 2019 at 10:29:03AM +0100, Pierre Neidhardt wrote:
> Sadly the above does not build the doc.
> 
> Looking at the source, it seems that no provision is taken for building
> the doc with Meson.  I wonder if this is an upstream mistake, but my
> knowledge of Meson is very limited and I could be wrong.
> 
> Any idea, anyone?
> 

I have not checked, but

https://mesonbuild.com/Gnome-module.html

says about gtkdoc

> This creates a $module-doc target that can be ran to build docs and
> normally these are only built on install.

Since GNOME is a big supporter of Meson, I believe they make no
mistakes in GLib’s meson files.

Regards,
Florian